%define amversion 1.11
%define subrel 1

%define docheck 0
%{?_without_check: %global docheck 0}

Vendor:		MLO <http://www.mageialinux-online.org> 
Packager:	Adrien.D & david.david (MLO Team)
Summary:	A GNU tool for automatically creating Makefiles
Name:		automake
Version:	1.11.3
Release:	%mkrel 2
License:	GPLv2+
Group:		Development/Other
Source0:	ftp://ftp.gnu.org/gnu/automake/automake-%{version}.tar.xz
Patch1:		automake-distcheck.diff
URL:		http://www.gnu.org/software/automake/
BuildArch:	noarch

BuildRequires:	autoconf
BuildRequires:	texinfo
Conflicts:	automake1.5
Provides:	automake1.9 = %{version}-%{release}
Obsoletes:	automake1.9
Provides:	automake1.8 = %{version}-%{release}
Obsoletes:	automake1.8

Requires:	autoconf
Requires(post):	info-install
Requires(preun):info-install
Requires(post):	update-alternatives
Requires(preun):update-alternatives

# tests need these
%if %docheck
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	tetex-latex
BuildRequires:	emacs
BuildRequires:	dejagnu
BuildRequires:	gcc-java
BuildRequires:	python
%endif

%description
Automake is a tool for automatically generating Makefiles compliant with
the GNU Coding Standards.

You should install Automake if you are developing software and would like
to use its capabilities of automatically generating GNU standard
Makefiles. If you install Automake, you will also need to install GNU's
Autoconf package.

%prep
%setup -q -n automake-%{version}
%patch1 -p1 -b .cve-2012-3386

%build
# (Abel) config* don't understand noarch-%{_target_vendor}-linux-gnu arch
%configure2_5x --build=i586-%{_target_vendor}-%{_target_os}%{?_gnu}
%make

%check
%if %docheck
# (Abel) reqd2.test tries to make sure automake won't work if ltmain.sh
# is not present. But automake behavior changed, now it can handle missing
# libtool file as well, so this test is bogus.
sed -e 's/reqd2.test//g' -i tests/Makefile
make check	# VERBOSE=1
%endif

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# provide -1.8 symlinks
ln -s automake-%{amversion} $RPM_BUILD_ROOT%{_bindir}/automake-1.8
ln -s aclocal-%{amversion} $RPM_BUILD_ROOT%{_bindir}/aclocal-1.8

# provide -1.9 symlinks
ln -s automake-%{amversion} $RPM_BUILD_ROOT%{_bindir}/automake-1.9
ln -s aclocal-%{amversion} $RPM_BUILD_ROOT%{_bindir}/aclocal-1.9

rm -f $RPM_BUILD_ROOT/%{_infodir}/*
install -m 644 doc/%{name}.info* $RPM_BUILD_ROOT/%{_infodir}/

mkdir -p $RPM_BUILD_ROOT%{_datadir}/aclocal

%pre
if [ "$1" = 1 ]; then
  update-alternatives --remove automake %{_bindir}/automake-1.8
  update-alternatives --remove automake %{_bindir}/automake-1.9
fi

%post
%_install_info %name.info

%preun
%_remove_install_info %name.info

%files
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%{_bindir}/automake
%{_bindir}/aclocal
%{_bindir}/automake-%{amversion}
%{_bindir}/aclocal-%{amversion}
%{_bindir}/automake-1.8
%{_bindir}/aclocal-1.8
%{_bindir}/automake-1.9
%{_bindir}/aclocal-1.9
%{_datadir}/automake*
%{_infodir}/automake*
%{_datadir}/aclocal*
%{_mandir}/man1/aclocal-1.11.1*
%{_mandir}/man1/aclocal.1*
%{_mandir}/man1/automake-1.11.1*
%{_mandir}/man1/automake.1*




%changelog

* Wed Apr 17 2013 david.david (MLO Team) <david.david> 1.11.3-2.1.mga3
+ Rebuild package for Mageia 3 (Core)
- imported package from Mageia 2
- requires to build flac123 and faac package
- version 1.11.3

* Wed Jul 11 2012 shlomif <shlomif> 1.11.3-1.1.mga2
+ Revision: 269551
- Add a fix for bug #6749.
  CVE-2012-3386 . See:
  https://bugzilla.redhat.com/show_bug.cgi?id=838286 .

  + fwang <fwang>
    - new version 1.11.3

* Thu Dec 22 2011 fwang <fwang> 1.11.2-1.mga2
+ Revision: 185967
- new version 1.11.2

* Tue Jan 11 2011 blino <blino> 1.11.1-3.mga1
+ Revision: 5696
- remove old vesion checks and update comments
- imported package automake


* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 1.11.1-2mdv2011.0
+ Revision: 603484
- rebuild

* Wed Dec 09 2009 Oden Eriksson <oeriksson@mandriva.com> 1.11.1-1mdv2010.1
+ Revision: 475202
- 1.11.1

* Mon May 18 2009 Frederik Himpe <fhimpe@mandriva.org> 1.11-2mdv2010.0
+ Revision: 377328
- Update to new version 1.11
- Remove xz patch (integrated upstream)

* Thu Feb 26 2009 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.10.2-2mdv2009.1
+ Revision: 345225
- sed is lighter and all and preferred over perl :o)
- add 'make dist-xz' target (P0, backported from git)

  + Funda Wang <fwang@mandriva.org>
    - fix license

* Thu Nov 27 2008 Funda Wang <fwang@mandriva.org> 1.10.2-1mdv2009.1
+ Revision: 307192
- New version 1.10.2

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 1.10.1-2mdv2009.0
+ Revision: 220472
- rebuild

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - use %%doc for docs
    - drop COPYING as license is shipped with common-licenses..

* Thu Jan 31 2008 Funda Wang <fwang@mandriva.org> 1.10.1-1mdv2008.1
+ Revision: 160778
- New version 1.10.1

* Thu Jan 10 2008 David Walluck <walluck@mandriva.org> 1.10-5mdv2008.1
+ Revision: 147466
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 16 2007 Thierry Vignaud <tv@mandriva.org> 1.10-4mdv2008.1
+ Revision: 87531
- s/Mandrake/Mandriva/
- kill update-alternative file require
- kill file require on info-install

  + Helio Chissini de Castro <helio@mandriva.com>
    - Simlink for 1.9

* Thu Jun 21 2007 Olivier Thauvin <nanardon@mandriva.org> 1.10-2mdv2008.0
+ Revision: 42320
- fix platform tag

* Wed Jun 13 2007 Christiaan Welvaart <spturtle@mandriva.org> 1.10-1mdv2008.0
+ Revision: 38651
- copy doc files in %%install
- remove old specfile code
- 1.10
- dropped patch0 - this is the only package providing 'automake' and 'aclocal'
- include automake and aclocal symlinks in the package, no more alternatives
- rename package to automake
- rename automake1.8 package to automake

